Get invoice

GET /api/v1/billing/invoices/{invoiceId}

Authentication

AuthorizationBearer

Pass a JWT access token or an API key (prefixed with tif_live_) as a Bearer token.

Path parameters

invoiceIdstringRequiredformat: "uuid"
Invoice ID

Response

Invoice details
amountDueinteger
Total amount due in cents
amountPaidinteger
Amount already paid in cents
createdAtdatetime
When the invoice was created
currencystring
Currency code
idstringformat: "uuid"
Unique invoice identifier
statusenum
Current invoice status
stripeInvoiceIdstring
Stripe invoice identifier
billingReasonstring or nullOptional
Reason for the invoice
dueDatedatetime or nullOptional
When the invoice payment is due
hostedInvoiceUrlstring or nullOptional
URL to the hosted Stripe invoice page
invoicePdfUrlstring or nullOptional
URL to download the invoice PDF
paidAtdatetime or nullOptional
When the invoice was paid
periodEnddatetime or nullOptional
End of the billing period
periodStartdatetime or nullOptional
Start of the billing period

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error